
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/wl3501_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/net/wireless/wl3501_cs.c~pcmcia-id_table-for-wl3501_csc drivers/net/wireless/wl3501_cs.c
--- 25/drivers/net/wireless/wl3501_cs.c~pcmcia-id_table-for-wl3501_csc	2005-03-30 18:02:17.000000000 -0800
+++ 25-akpm/drivers/net/wireless/wl3501_cs.c	2005-03-30 18:02:17.000000000 -0800
@@ -2240,6 +2240,12 @@ static int wl3501_event(event_t event, i
 	return 0;
 }
 
+static struct pcmcia_device_id wl3501_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0xd601, 0x0001),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, wl3501_ids);
+
 static struct pcmcia_driver wl3501_driver = {
 	.owner          = THIS_MODULE,
 	.drv            = {
@@ -2247,6 +2253,7 @@ static struct pcmcia_driver wl3501_drive
 	},
 	.attach         = wl3501_attach,
 	.detach         = wl3501_detach,
+	.id_table	= wl3501_ids,
 };
 
 static int __init wl3501_init_module(void)
_
